#include <iostream>

using namespace std;

int main()
{
    int n;
    int k;
    int br;
    int prvi;
    bool stampajsledeci = false;
    
    cin >> n >> k;
    cin >> prvi;
    
    if(prvi == k)
    {
        stampajsledeci = true;
    }
    
    for(int i = 1; i < n; i++)
    {
        cin >> br;
        
        if(stampajsledeci == true)
        {
            stampajsledeci = false;
            cout << br << endl;
        }
        
        if(br == k)
        {
            stampajsledeci = true;
        }
    }
    
    if(stampajsledeci == true)
    {
        stampajsledeci = false;
        cout << prvi << endl;
    }

    return 0;
}